<template>
  <div class="icon-container" :style="`width:${size}; height:#{size}`">
    <img :class="[color]" :src="(`${base}sprite_icons/${icon}.svg`)" alt="GitLab">
  </div>
</template>

<script setup>
import { useMainStore } from '~~/stores/main';
import { storeToRefs } from 'pinia';

const main = useMainStore();
const { base } = storeToRefs(main);

defineProps({
  icon: {
    type: String,
    required: false,
    default: "abuse"
  },
  size: {
    type: String,
    required: false,
    default: "16"
  },
  color: {
    type: String,
    required: false,
    default: "C-00FF00"
  }
})

</script>

<style>
.icon-container {
  display: flex;
  align-items: center;
  justify-content: center;
}

.icon-container:hover {
  background-color: #ECECEF;
}

.icon-container img {
  height: 16px;
  margin: auto;
}

.C-00FF00 {
  filter: invert(50%) sepia(90%) saturate(97%) hue-rotate(90deg) brightness(116%) contrast(170%);
}

.C-737278 {
  filter: invert(45%) sepia(5%) saturate(326%) hue-rotate(210deg) brightness(97%) contrast(88%);
}

.C-89888D {
  filter: invert(62%) sepia(0%) saturate(862%) hue-rotate(101deg) brightness(89%) contrast(90%);
}

.C-535158 {
  filter: invert(30%) sepia(13%) saturate(236%) hue-rotate(216deg) brightness(97%) contrast(89%);
}
</style>
